Unable to load Virtualbox - Solved

Questions about software.
User avatar
iridesce
Posts: 30
Joined: 14 Jan 2014 04:45
Location: Halfway between the mountains and the ocean, the rainforest and the volcano

Unable to load Virtualbox - Solved

Postby iridesce » 20 Mar 2014 06:30

Greetings,

OK, one more step to get to using SolydK Business Edition for my work production setup.

Below is inxi

Code: Select all

$ inxi -Fxx
System:    Host: aum Kernel: 3.11-2-amd64 x86_64 (64 bit, gcc: 4.8.2) 
           Desktop: KDE 4.12.1 (Qt 4.8.6) dm: kdm Distro: SolydXK 1 testing
Machine:   System: Dell product: Precision WorkStation T3400 Chassis: type: 7
           Mobo: Dell model: 0TP412 Bios: Dell version: A08 date: 08/14/2008
CPU:       Dual core Intel Core2 Duo CPU E4600 (-MCP-) cache: 2048 KB flags: (lm nx sse sse2 sse3 ssse3) bmips: 9575.9 
           Clock Speeds: 1: 2393.975 MHz 2: 2393.975 MHz
Graphics:  Card: NVIDIA G86 [Quadro NVS 290] bus-ID: 01:00.0 chip-ID: 10de:042f 
           X.Org: 1.14.5 driver: nvidia Resolution: 1680x1050@60.0hz 
           GLX Renderer: Quadro NVS 290/PCIe/SSE2 GLX Version: 3.3.0 NVIDIA 319.76 Direct Rendering: Yes
Audio:     Card: Intel 82801I (ICH9 Family) HD Audio Controller driver: snd_hda_intel bus-ID: 00:1b.0 chip-ID: 8086:293e 
           Sound: Advanced Linux Sound Architecture ver: k3.11-2-amd64
Network:   Card-1: Qualcomm Atheros AR5416 Wireless Network Adapter [AR5008 802.11(a)bgn] 
           driver: ath9k bus-ID: 05:04.0 chip-ID: 168c:0023
           IF: wlan0 state: down mac: 00:1e:e5:aa:72:aa
           Card-2: Broadcom NetXtreme BCM5754 Gigabit Ethernet PCI Express 
           driver: tg3 ver: 3.132 bus-ID: 04:00.0 chip-ID: 14e4:167a
           IF: eth1 state: up speed: 100 Mbps duplex: full mac: 00:22:19:1b:42:aa
           Card-3: ADMtek NC100 Network Everywhere Fast Ethernet 10/100 
           driver: tulip ver: 1.1.15-NAPI port: cc00 bus-ID: 05:05.0 chip-ID: 1317:0985
           IF: eth2 state: down mac: 00:0c:aa:e5:0c:33
Drives:    HDD Total Size: 2504.6GB (0.5% used)
           1: id: /dev/sda model: WDC_WD5000AAKS size: 500.1GB serial: WD-WCASY2205563 
           2: USB id: /dev/sdb model: Mini_TD_001B size: 4.1GB serial: 07750922014C-0:0 
           3: id: /dev/sdd model: Backup+_Desk size: 2000.4GB serial: W1E3F6YS 
Partition: ID: / size: 133G used: 13G (11%) fs: ext4 ID: swap-1 size: 2.10GB used: 0.00GB (0%) fs: swap 
Sensors:   System Temperatures: cpu: 45.0C mobo: N/A gpu: 0.0:57C 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 166 Uptime: 1:06 Memory: 1167.9/7940.2MB Runlevel: 2 Gcc sys: 4.8.2 alt: 4.4/4.6/4.7 
           Client: Shell (bash 4.2.45 running in konsole) inxi: 1.9.17 


I do need Virtualbox to run Quickbooks. Currently I see that I have virtualbox-4.3 version 4.3.8-92456-Debian-wheezy installed.

I have a partition with Mepis ( Wheezy ) running virtualbox 4.3 and it works fine there - currently that is what I use for my production setup. I really want to use SolydK for my work due to it being much more current in terms of the kernel and to take advantage of the improvements in KDE, not to mention the updated packages.

When I try to load virtualbox in SolydK, I get
Critical Error: Failed to create Virtualbox COM object. The application will now terminate
The detail yield:

Code: Select all

Callee RC:  NS_BASE_STREAM_WOULD_BLOCK (0x80470007)
I've done some research and have tried
- Uninstalling and reinstalling
- verified with System Monitor that the user ( not root ) is running it.

Haven't wanted to mess with anything else as the only other solutions were for other platforms or non-Debian distros.

Thanks for taking the time to look at this, any ideas would be appreciated.

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Unable to load Virtualbox

Postby Zill » 20 Mar 2014 12:59

iridesce wrote:OK, one more step to get to using SolydK Business Edition for my work production setup.
...
I do need Virtualbox to run Quickbooks. Currently I see that I have virtualbox-4.3 version 4.3.8-92456-Debian-wheezy installed.
SolydK Business Edition has been developed to provide “Long Term Support” based on Debian Stable. This means that it does not have the latest "bleeding-edge" packages as these do not have the necessary reliability and stability required for a business edition.

Looking at Debian packages, it seems that the current version of virtualbox for Wheezy is 4.1.18-dfsg-2+deb7u2. Even the Sid version is only 4.3.6-dfsg-2 so it looks to me like you have manually downloaded and installed 4.3.8-92456-Debian-wheezy direct from Oracle.

It is likely that, by installing software from outside the SolydXK repos, you now have dependency problems that prohibit your version of virtualbox from running properly. As you seem to have installed the Business Edition for work, I suggest you negate many of the stability advantages of this Edition by not sticking to software from the official repos.

I suggest you remove your version of virtualbox and then reinstall the version from the official SolydXK BE repos. As a check, you may like to post your sources.list here for us see if it looks right and that no other spurious repos have been added.

Code: Select all

cat /etc/apt/sources.list
Caveat: I neither use SolydK Business Edition or virtualbox and so there may be a different reason why you seem to have the latest version of virtualbox.

User avatar
iridesce
Posts: 30
Joined: 14 Jan 2014 04:45
Location: Halfway between the mountains and the ocean, the rainforest and the volcano

Re: Unable to load Virtualbox

Postby iridesce » 20 Mar 2014 23:03

Thanks Zill,

I appreciate your time and research towards a solution. As you are probably aware, such efforts are the lifeblood of a successful distro community and we all benefit from your efforts.

To the situation. My guess at this point is that perhaps the problem is due to the fact that I installed SolydK and then BO on top of that. Rather than chase down all the problems at this juncture, I am going to reinstall SolydK BO from the torrent file and try again fresh. Thanks to the seeders ~563 kbs average - you rock !!!

Note to self: Long replys/posts here evidently time out the session, so be sure to copy to kate before attempting to preview.

As much for anyone who may use terms found here in a search as just to chronicle what ended up being a dead end, here are some notes:

#So, uninstalled that version of VirtualBox, looked at etc/apt/sources.list
#Indeed, had the Solydk testing repos along with the Oracle virtualbox repo in it
#Replaced those with the Solydk BE repos.

#Ran and reloaded Synaptic and then installed the version there

Code: Select all

Selecting previously unselected package libgsoap2.
(Reading database ... 211613 files and directories currently installed.)
Preparing to unpack .../libgsoap2_2.8.7-2_amd64.deb ...
Unpacking libgsoap2 (2.8.7-2) ...
Selecting previously unselected package virtualbox.
Preparing to unpack .../virtualbox_4.1.18-dfsg-2+deb7u2_amd64.deb ...
Unpacking virtualbox (4.1.18-dfsg-2+deb7u2) ...
Selecting previously unselected package virtualbox-dkms.
Preparing to unpack .../virtualbox-dkms_4.1.18-dfsg-2+deb7u2_all.deb ...
Unpacking virtualbox-dkms (4.1.18-dfsg-2+deb7u2) ...
Selecting previously unselected package virtualbox-qt.
Preparing to unpack .../virtualbox-qt_4.1.18-dfsg-2+deb7u2_amd64.deb ...
Unpacking virtualbox-qt (4.1.18-dfsg-2+deb7u2) ...
Processing triggers for man-db (2.6.5-2) ...
Processing triggers for menu (2.1.46) ...
Processing triggers for hicolor-icon-theme (0.12-1) ...
Processing triggers for shared-mime-info (1.0-1+b1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.54) ...
Setting up libgsoap2 (2.8.7-2) ...
Setting up virtualbox (4.1.18-dfsg-2+deb7u2) ...
[ ok ] Stopping VirtualBox kernel modules.
[....] Starting VirtualBox kernel modules[....] No suitable module for running k[FAIL found ... failed!
 failed!
invoke-rc.d: initscript virtualbox, action "restart" failed.
Setting up virtualbox-dkms (4.1.18-dfsg-2+deb7u2) ...
Loading new virtualbox-4.1.18 DKMS files...
First Installation: checking all kernels...
Building only for 3.11-2-amd64
Building initial module for 3.11-2-amd64
Error! Bad return status for module build on kernel: 3.11-2-amd64 (x86_64)
Consult /var/lib/dkms/virtualbox/4.1.18/build/make.log for more information.
[ ok ] Stopping VirtualBox kernel modules.
[....] Starting VirtualBox kernel modules[....] No suitable module for running k[FAIL found ... failed!
 failed!
invoke-rc.d: initscript virtualbox, action "restart" failed.
Setting up virtualbox-qt (4.1.18-dfsg-2+deb7u2) ...
Processing triggers for libc-bin (2.17-97) ...
Processing triggers for menu (2.1.46) ...
#Seems it couldn't configure the module ... hmmm

#Back to Synaptic - reload, marked all upgrades

Code: Select all

Preconfiguring packages ...
(Reading database ... 212172 files and directories currently installed.)
Preparing to unpack .../mysql-common_5.5.35+dfsg-0+wheezy1_all.deb ...
Unpacking mysql-common (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Preparing to unpack .../libmysqlclient18_5.5.35+dfsg-0+wheezy1_amd64.deb ...
Unpacking libmysqlclient18:amd64 (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Preparing to unpack .../libssh-4_0.5.4-1+deb7u1_amd64.deb ...
Unpacking libssh-4:amd64 (0.5.4-1+deb7u1) over (0.5.4-1) ...
Preparing to unpack .../libyaml-0-2_0.1.4-2+deb7u3_amd64.deb ...
Unpacking libyaml-0-2:amd64 (0.1.4-2+deb7u3) over (0.1.4-2) ...
Preparing to unpack .../mysql-server_5.5.35+dfsg-0+wheezy1_all.deb ...
Unpacking mysql-server (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Setting up mysql-common (5.5.35+dfsg-0+wheezy1) ...
(Reading database ... 212175 files and directories currently installed.)
Preparing to unpack .../mysql-server-5.5_5.5.35+dfsg-0+wheezy1_amd64.deb ...
[ ok ] Stopping MySQL database server: mysqld.
[ ok ] Stopping MySQL database server: mysqld.
Unpacking mysql-server-5.5 (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Preparing to unpack .../mysql-client_5.5.35+dfsg-0+wheezy1_all.deb ...
Unpacking mysql-client (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Preparing to unpack .../mysql-client-5.5_5.5.35+dfsg-0+wheezy1_amd64.deb ...
Unpacking mysql-client-5.5 (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Preparing to unpack .../mysql-server-core-5.5_5.5.35+dfsg-0+wheezy1_amd64.deb ...
Unpacking mysql-server-core-5.5 (5.5.35+dfsg-0+wheezy1) over (5.5.33+dfsg-1) ...
Preparing to unpack .../openjdk-7-jdk_7u25-2.3.10-1~deb7u1_amd64.deb ...
Unpacking openjdk-7-jdk:amd64 (7u25-2.3.10-1~deb7u1) over (7u21-2.3.9-5) ...
Preparing to unpack .../openjdk-7-jre_7u25-2.3.10-1~deb7u1_amd64.deb ...
Unpacking openjdk-7-jre:amd64 (7u25-2.3.10-1~deb7u1) over (7u21-2.3.9-5) ...
Preparing to unpack .../openjdk-7-jre-headless_7u25-2.3.10-1~deb7u1_amd64.deb ...
Unpacking openjdk-7-jre-headless:amd64 (7u25-2.3.10-1~deb7u1) over (7u21-2.3.9-5) ...
Preparing to unpack .../openjdk-7-jre-lib_7u25-2.3.10-1~deb7u1_all.deb ...
Unpacking openjdk-7-jre-lib (7u25-2.3.10-1~deb7u1) over (7u21-2.3.9-5) ...
Preparing to unpack .../solydkbo-admin_1.0.7_all.deb ...
Unpacking solydkbo-admin (1.0.7) over (1.0.6) ...
Selecting previously unselected package solydkbo-preseed.
Preparing to unpack .../solydkbo-preseed_0.0.3_all.deb ...
Unpacking solydkbo-preseed (0.0.3) ...
Processing triggers for man-db (2.6.5-2) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.54) ...
Processing triggers for hicolor-icon-theme (0.12-1) ...
Setting up solydkbo-preseed (0.0.3) ...
debconf: template "debian-installer/language" has no owners; removing it.
debconf: template "debian-installer/keymap" has no owners; removing it.
debconf: template "debian-installer/country" has no owners; removing it.
Setting up mysql-client-5.5 (5.5.35+dfsg-0+wheezy1) ...
Setting up mysql-server-core-5.5 (5.5.35+dfsg-0+wheezy1) ...
Setting up mysql-server-5.5 (5.5.35+dfsg-0+wheezy1) ...
[ ok ] Stopping MySQL database server: mysqld.
[ ok ] Starting MySQL database server: mysqld ..
[info] Checking for tables which need an upgrade, are corrupt or were 
not closed cleanly..
Setting up mysql-server (5.5.35+dfsg-0+wheezy1) ...
Setting up mysql-client (5.5.35+dfsg-0+wheezy1) ...
(Reading database ... 212180 files and directories currently installed.)
Preparing to unpack .../solydkbo-orangehrm_3.1.1_all.deb ...
Unpacking solydkbo-orangehrm (3.1.1) over (3.0.1) ...
Preparing to unpack .../whois_5.1.1~deb7u1_amd64.deb ...
Unpacking whois (5.1.1~deb7u1) over (5.0.26) ...
Selecting previously unselected package apache2-utils.
Preparing to unpack .../apache2-utils_2.2.22-13+deb7u1_amd64.deb ...
Unpacking apache2-utils (2.2.22-13+deb7u1) ...
Selecting previously unselected package libmozjs24d.
Preparing to unpack .../libmozjs24d_24.4.0esr-1~deb7u2_amd64.deb ...
Unpacking libmozjs24d (24.4.0esr-1~deb7u2) ...
Selecting previously unselected package xulrunner-24.0.
Preparing to unpack .../xulrunner-24.0_24.4.0esr-1~deb7u2_amd64.deb ...
Unpacking xulrunner-24.0 (24.4.0esr-1~deb7u2) ...
Preparing to unpack .../iceweasel_24.4.0esr-1~deb7u2_amd64.deb ...
Leaving 'diversion of /usr/bin/firefox to /usr/bin/firefox.real by iceweasel'
Unpacking iceweasel (24.4.0esr-1~deb7u2) over (17.0.10esr-1~deb7u1) ...
Preparing to unpack .../kcm-ufw_0.4.3-1_amd64.deb ...
Unpacking kcm-ufw (0.4.3-1) over (0.4.3-1) ...
Preparing to unpack .../memcached_1.4.13-0.2+deb7u1_amd64.deb ...
Stopping memcached: memcached.
Unpacking memcached (1.4.13-0.2+deb7u1) over (1.4.13-0.2) ...
Preparing to unpack .../pidgin-data_2.10.9-1~deb7u1_all.deb ...
Unpacking pidgin-data (2.10.9-1~deb7u1) over (2.10.7-2) ...
Preparing to unpack .../solydkbo-meta_2014.01.27_all.deb ...
Unpacking solydkbo-meta (2014.01.27) over (2013.07.08) ...
Processing triggers for menu (2.1.46) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.54) ...
Processing triggers for man-db (2.6.5-2) ...
Processing triggers for solydxk-system (1.1.5) ...
Processing triggers for hicolor-icon-theme (0.12-1) ...
Setting up libmysqlclient18:amd64 (5.5.35+dfsg-0+wheezy1) ...
Setting up libssh-4:amd64 (0.5.4-1+deb7u1) ...
Setting up libyaml-0-2:amd64 (0.1.4-2+deb7u3) ...
Setting up solydkbo-admin (1.0.7) ...
Installing new version of config file /etc/solydxk/solydkbo/solydkbo-backup ...
Stopping Webmin server in /usr/share/webmin
Starting Webmin server in /usr/share/webmin
Pre-loaded WebminCore
Setting up solydkbo-orangehrm (3.1.1) ...
dbconfig-common: writing config to /etc/dbconfig-common/orangehrm.conf
dbconfig-common: flushing administrative password
Module rewrite already enabled
[ ok ] Reloading web server: apache2.
Setting up whois (5.1.1~deb7u1) ...
Setting up apache2-utils (2.2.22-13+deb7u1) ...
Setting up libmozjs24d (24.4.0esr-1~deb7u2) ...
Setting up xulrunner-24.0 (24.4.0esr-1~deb7u2) ...
Setting up iceweasel (24.4.0esr-1~deb7u2) ...
Installing new version of config file /etc/iceweasel/profile/chrome/userContent-example.css ...

Configuration file '/etc/iceweasel/profile/bookmarks.html'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** bookmarks.html (Y/I/N/O/D/Z) [default=N] ? n
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/bing.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/twitter.xml ...
Installing new version of config file /etc/iceweasel/searchplugins/locale/en-US/google.xml ...
Setting up kcm-ufw (0.4.3-1) ...
Setting up memcached (1.4.13-0.2+deb7u1) ...
Starting memcached: memcached.
Setting up pidgin-data (2.10.9-1~deb7u1) ...
Setting up solydkbo-meta (2014.01.27) ...
Setting up openjdk-7-jre-headless:amd64 (7u25-2.3.10-1~deb7u1) ...
Installing new version of config file /etc/java-7-openjdk/sound.properties ...
Installing new version of config file /etc/java-7-openjdk/security/java.security ...
update-binfmts: warning: current package is openjdk-7, but binary format already installed by sun-java6
Setting up openjdk-7-jre-lib (7u25-2.3.10-1~deb7u1) ...
Setting up openjdk-7-jre:amd64 (7u25-2.3.10-1~deb7u1) ...
Setting up openjdk-7-jdk:amd64 (7u25-2.3.10-1~deb7u1) ...
Processing triggers for libc-bin (2.17-97) ...
Processing triggers for menu (2.1.46) ...
#Reinstalled virtualbox

Code: Select all

Setting up virtualbox (4.1.18-dfsg-2+deb7u2) ...
[ ok ] Stopping VirtualBox kernel modules.
[....] Starting VirtualBox kernel modules[....] No suitable module for running k[FAIL found ... failed!
 failed!
invoke-rc.d: initscript virtualbox, action "restart" failed.
Setting up virtualbox-dkms (4.1.18-dfsg-2+deb7u2) ...
Loading new virtualbox-4.1.18 DKMS files...
Building only for 3.11-2-amd64
Building initial module for 3.11-2-amd64
Error! Bad return status for module build on kernel: 3.11-2-amd64 (x86_64)
Consult /var/lib/dkms/virtualbox/4.1.18/build/make.log for more information.
[ ok ] Stopping VirtualBox kernel modules.
[....] Starting VirtualBox kernel modules[....] No suitable module for running k[FAIL found ... failed!
 failed!
invoke-rc.d: initscript virtualbox, action "restart" failed.
#That didn't look good either

#Tried to run it anyways and surprise, surprise, got a critical error
VirtualBox - Critical Error

Failed to create VirtualBox COM object

The application will now terminate.

Runtime error opening '/home/user/.VirtualBox/VirtualBox.xml for reading:-38 (Access denied)

/tmp/buildd/virtualbox-4.1.18-dfsg/src/VBox/Main/src-server/VirtualBoxlmpl.cpp[484] (nsresult VirtualBox::init()).

Code: Select all

Result Code: 
NS_ERROR_FAILURE (0x80004005)
Component: 
VirtualBox
Interface: 
IVirtualBox {c28be65f-1a8f-43b4-81f1-eb60cb516e66}

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Unable to load Virtualbox

Postby Zill » 20 Mar 2014 23:28

iridesce wrote:...My guess at this point is that perhaps the problem is due to the fact that I installed SolydK and then BO on top of that. Rather than chase down all the problems at this juncture, I am going to reinstall SolydK BO from the torrent file and try again fresh...
Agreed!

SolydK (Home Edition) is a semi-rolling release based on Debian Testing so the package versions change every Update Pack. The Business Edition is a fixed release based on Debian Stable and only gets security updates. Accordingly, these releases cannot co-exist within the same system!

If you do a clean install of the SolydK Business Edition and then only install packages from these repositories your problems should be over and you will then have a stable system suitable for a production environment.

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: Unable to load Virtualbox

Postby zerozero » 20 Mar 2014 23:42

Edit: i had this post in queue but Zill posted first :) nonetheless i reinforce what he says
===

SolydK-BE and BO are based upon Debian Stable;
SolydX and SolydK HOME Ed are based upon Debian Testing;
they are not interchangeable and not (necessary) compatible;
trying to load and run software designed for one (be it BE/BO or Home-Ed) on the other is a risk that will most of the times result in grief.

Code: Select all

Setting up virtualbox-dkms (4.1.18-dfsg-2+deb7u2) ...
Loading new virtualbox-4.1.18 DKMS files...
Building only for 3.11-2-amd64
Building initial module for 3.11-2-amd64
Error! Bad return status for module build on kernel: 3.11-2-amd64 (x86_64)
Consult /var/lib/dkms/virtualbox/4.1.18/build/make.log for more information.
the version of VB that you are installing above is the version from wheezy, the kernel is from testing; not too surprising that DKMS can't build the appropriate module.
bliss of ignorance

User avatar
iridesce
Posts: 30
Joined: 14 Jan 2014 04:45
Location: Halfway between the mountains and the ocean, the rainforest and the volcano

Re: Unable to load Virtualbox

Postby iridesce » 28 Mar 2014 03:32

Continued at: Back Office Installation Issues

Also, how do I mark this thread closed/completed ?

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Unable to load Virtualbox

Postby Zill » 28 Mar 2014 10:55

iridesce wrote:...Also, how do I mark this thread closed/completed ?
On your first post in this thread you will see an "Edit" button. Click on this to edit the post and then simply type in the prefix [SOLVED] to the title then hit the "Submit" button. Only the original poster (OP) can do this for a thread.


Return to “Software”

Who is online

Users browsing this forum: Bing [Bot] and 7 guests